Đến nội dung


Hình ảnh

Nhờ anh em giúp lisp ghi cao độ mặt cắt ngang


  • Please log in to reply
11 replies to this topic

#1 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 March 2012 - 03:52 PM

Em thâý ông anh dùng lisp ghi cao độ trên mặt cắt ngang bản vẽ hoàn công như sau: Chuyển trục tọa độ về gốc 0,sau đó copy một text về dưới chân cột cần ghi cao độ.Đánh lệnh rồi kích chuột vào điểm đầu cần lấy cao độ,chọn đối tượng text mà đã copy ở dưới.Kết quả là text đó đổi sang thành cao độ cần ghi.Lisp này giúp ích cho công việc vẽ hoàn công rất nhiều.Nhưng hiện nay em ko tìm thấy lisp này nữa.Ông anh cũng ko còn nhớ dow ở đâu nữa.Ai biết chỉ giùm hoặc viết giúp em.TRân trọng cảm ơn
  • 0

#2 NguyenNgocSon

NguyenNgocSon

    biết dimbaseline

  • Members
  • PipPipPipPipPip
  • 368 Bài viết
Điểm đánh giá: 39 (tàm tạm)

Đã gửi 17 March 2012 - 04:01 PM

Cái này trên diễn đàn có nhiều rồi mà. Lisp đơn giản hơn cái lisp mà bạn nhìn thầy nhiều.
Bạn dùng Search của diễn đàn tìm kiếm nhé !
  • 0

#3 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 March 2012 - 04:20 PM

Em cũng đã tìm nhưng chỉ là ghi cao độ sang bên cạnh mà không phải ghi cao độ vào text copy,vị trí là vị trí của text mình copy đến.Như vậy khi làm hoàn công sẽ nhanh hơn rất nhiều.
  • 0

#4 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 17 March 2012 - 04:31 PM

Cụ thể là em làm thiết kế thi công và hoàn công đường,khi có thay đổi thiết kế hoặc hồ sơ hoàn công thì lại phải vẽ lại mặt cắt ngang như vậy cao độ cũng thay đổi theo.Em muốn ghi cao độ mới lên cao độ cũ.Trước khi viết bài này em cũng đã tìm hiểu trên diễn đàn và thấy có lisp cdx của anh Thaitreetz nhưng cũng không phải là ghi trên text cũ.Em mong được các anh giúp đỡ!
  • 0

#5 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 17 March 2012 - 04:32 PM

Em cũng đã tìm nhưng chỉ là ghi cao độ sang bên cạnh mà không phải ghi cao độ vào text copy,vị trí là vị trí của text mình copy đến.Như vậy khi làm hoàn công sẽ nhanh hơn rất nhiều.

Trong trường hợp search vẫn chưa có cái ưng ý thì bạn post bản vẽ lên, thể hiện càng rõ y/c của bạn càng tốt. Hy vọng có người giúp.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#6 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 18 March 2012 - 09:50 AM

em xin gửi ý tưởng của mình vào trong bản vẽ.Em mong được anh chị em giúp đỡhttp://www.cadviet.c...hoan_cong_1.dwg
e
  • 0

#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 18 March 2012 - 10:18 AM

Yêu cầu của bạn không khó tẹo nào, tuy nhiên lại vi phạm nội quy post bài yêu cầu. Mời bạn đọc kỹ lại nội quy (dưới chữ ký của mình)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 18 March 2012 - 10:49 AM

@cocobubu: lần sau post bài nhớ đọc kỹ nội quy kẻo bị đưa qua tạm trú ở thùng rác thì khổ.
Code nhanh cho bạn đây:

(defun C:HA( / y0 y1 ent)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(while
(and
(setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
(setq ent (car (entsel "\nChon Text de sua cao do: ")))
(entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
(princ))

  • 2

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#9 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 18 March 2012 - 03:45 PM

Em thấy lisp anh viết rất tuyệt vời vì giúp em tiết kiệm được rất nhiều thời gian trong công việc.(Dù với anh Hà là đơn giản).Em xin trân thành cám ơn anh.Còn việc vi phạm nội quy anh thông cảm,vì đây là lần đầu tiên em tham gia diễn đàn nên chưa đọc kỹ nội dung.
  • 0

#10 mr.trunghd

mr.trunghd

    biết lệnh mirror

  • Advance Member
  • PipPipPip
  • 150 Bài viết
Điểm đánh giá: 46 (tàm tạm)

Đã gửi 18 March 2012 - 05:46 PM

@cocobubu: lần sau post bài nhớ đọc kỹ nội quy kẻo bị đưa qua tạm trú ở thùng rác thì khổ.
Code nhanh cho bạn đây:


(defun C:HA( / y0 y1 ent)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(while
(and
(setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
(setq ent (car (entsel "\nChon Text de sua cao do: ")))
(entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
(princ))

Không ổn lắm bạn ah, đánh cốt thì phải kèm ký hiệu "âm, dương" chứ?
  • 0

Đừng bao giờ mất kiên nhẫn, đó chính là chiếc chìa khoá cuối cùng mở được cửa.

-Saint Exupery-


#11 cocobubu

cocobubu

    biết zoom

  • Members
  • Pip
  • 19 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 19 March 2012 - 03:22 PM

Không ổn lắm bạn ah, đánh cốt thì phải kèm ký hiệu "âm, dương" chứ?

Đây không phải đánh cốt bạn ah.Bạn đọc kỹ nhé,mình dùng và thấy rất ổn
  • 0

#12 hieuhx68

hieuhx68

    biết vẽ circle

  • Members
  • PipPip
  • 32 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 January 2014 - 09:01 PM

@cocobubu: lần sau post bài nhớ đọc kỹ nội quy kẻo bị đưa qua tạm trú ở thùng rác thì khổ.
Code nhanh cho bạn đây:

(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))

Lips này của bác DOAN VAN HA rất tuyệt vời. nhân tiện đọc bài này. em muốn nhờ bác và mọi người giúp em sửa lips này cho thêm 1 số tính năng nữa được ko ạ.

1. Thay vì lấy đường thẳng làm chuẩn Bác có thể cho em là nhập cao độ so sánh (ví dụ em lấy là 90 thì các điểm sau sẽ + hay trừ vào giá trị này) vì khi vẽ mặt cắt em toàn vẽ có mốc so sánh 

2. Đồng thời pick điểm tiếp theo sẽ cho luôn khoảng cách giữa 2 điểm và ghi luôn xuống dưới thì tuyệt quá.

 

em cảm ơn mọi người.


  • 0